import request from '@/utils/request'

// 查询装置管理列表
export function listPlant(query) {
  return request({
    url: '/system/plant/list',
    method: 'get',
    params: query
  })
}

// 查询装置管理详细
export function getPlant(plantId) {
  return request({
    url: '/system/plant/' + plantId,
    method: 'get'
  })
}

// 查询设备
export function devData(data) {
  return request({
    url: '/sems/home/devData',
    method: 'post',
    data: data
  })
}export function ylgdLength(data) {
  return request({
    url: '/sems/home/ylgcLength',
    method: 'post',
    data: data
  })
}

// 查询压力容器
export function devYlrqData(data) {
  return request({
    url: '/sems/home/devYlrqData',
    method: 'post',
    data: data
  })
}

// 查询压力容器
export function devYlrqDataByYear(data) {
  return request({
    url: '/sems/home/devYlrqDataByYear',
    method: 'get',
    params: data
  })
}

// 导出特种设备压力容器台账
export function exportSpecYlrq(query) {
  return request({
    url: '/sems/home/exportYlrq',
    method: 'get',
    params: query
  })
}
// 导出特种设备压力管道台账
export function exportSpecYlgd(query) {
  return request({
    url: '/sems/home/exportYlgd',
    method: 'get',
    params: query
  })
}
// 导出特种设备锅炉台账
export function exportSpecGl(query) {
  return request({
    url: '/sems/home/exportGl',
    method: 'get',
    params: query
  })
}
// 导出特种设备叉车台账
export function exportSpecCc(query) {
  return request({
    url: '/sems/home/exportCc',
    method: 'get',
    params: query
  })
}
// 导出特种设备电梯台账
export function exportSpecDt(query) {
  return request({
    url: '/sems/home/exportDt',
    method: 'get',
    params: query
  })
}
// 导出特种设备吊装设备台账
export function exportSpecDzsb(query) {
  return request({
    url: '/sems/home/exportDzsb',
    method: 'get',
    params: query
  })
}
// 查询压力管道
export function devYlgdData(data) {
  return request({
    url: '/sems/home/devYlgdData',
    method: 'post',
    data: data
  })
}
// 查询压力管道
export function devYlgdDataByYear(data) {
  return request({
    url: '/sems/home/devYlgdDataByYear',
    method: 'get',
    params: data
  })
}

// 查询guolu
export function devGlData(data) {
  return request({
    url: '/sems/home/devGlData',
    method: 'post',
    data: data
  })
}
// 查询guolu
export function devGlDataByYear(data) {
  return request({
    url: '/sems/home/devGlDataByYear',
    method: 'get',
    params: data
  })
}
// 查询qita
export function devOtherData(data) {
  return request({
    url: '/sems/home/devOtherData',
    method: 'post',
    data: data
  })
}
// 查询guolu
export function devCcDataByYear(data) {
  return request({
    url: '/sems/home/devCcDataByYear',
    method: 'get',
    params: data
  })
}
// 查询guolu
export function devDtDataByYear(data) {
  return request({
    url: '/sems/home/devDtDataByYear',
    method: 'get',
    params: data
  })
}
// 查询guolu
export function devDzsbDataByYear(data) {
  return request({
    url: '/sems/home/devDzsbDataByYear',
    method: 'get',
    params: data
  })
}

// 查询历史申请
export function finishApproveData(data) {
  return request({
    url: '/sems/home/finishApproveData',
    method: 'post',
    data: data
  })
}

// 查询申请
export function devApproveData(data) {
  return request({
    url: '/sems/home/devApproveData',
    method: 'post',
    data: data
  })
}

// 查询压力容器等级
export function devYlrqSafeData(data) {
  return request({
    url: '/sems/home/devYlrqSafeData',
    method: 'post',
    data: data
  })
}

// 查询压力gd等级
export function devYlgdSafeData(data) {
  return request({
    url: '/sems/home/devYlgdSafeData',
    method: 'post',
    data: data
  })
}

// 查询gl结论
export function devGlPerData(data) {
  return request({
    url: '/sems/home/devGlPerData',
    method: 'post',
    data: data
  })
}
